Summary: Creates an initial ramdisk image for preloading modules including software suspend support.
Name: mkinitrd-suspend2
Version: 5.0.33
Release: 1.cubbi1
License: GPL
Group: System Environment/Base
Packager: Matthias Hensler <matthias@wspse.de>
Source: mkinitrd-%{version}.tar.bz2
ExclusiveOs: Linux
Prereq: dev
Requires: e2fsprogs, /bin/sh, fileutils, grep, mount, gzip, tar, /sbin/insmod.static, /sbin/losetup, mktemp >= 1.5-5, findutils, lvm2
Requires: filesystem >= 2.1.0, cpio
BuildRequires: popt
%ifarch ppc
Requires: ppc64-utils >= 0.3-1
%endif
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Obsoletes: swsusp2-mkinitrd

Requires: mkinitrd >= 5.0.19

Patch1: mkinitrd-suspend2-new-kernel-pkg.patch
Patch2: mkinitrd-suspend2-mkinitrd.patch

%description
This package includes modified versions of mkinitrd and new-kernel-pkg
tools for software suspend 2 kernels provided by http://mhensler.de/swsusp/

%prep
%setup -c %{name}-%{version}
pushd mkinitrd-%{version}
patch -p0 grubby/new-kernel-pkg < %{PATCH1}
%patch2 -p0
popd

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
pushd mkinitrd-%{version}
mkdir -p $RPM_BUILD_ROOT/sbin
install mkinitrd $RPM_BUILD_ROOT/sbin/mkinitrd-suspend2
install grubby/new-kernel-pkg $RPM_BUILD_ROOT/sbin/new-kernel-pkg-suspend2
popd

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) /sbin/mkinitrd-suspend2
%attr(755,root,root) /sbin/new-kernel-pkg-suspend2

%changelog
* Sat Apr 01 2006 Matthias Hensler <matthias@wspse.de> - 5.0.33-1.cubbi1
- update to recent Fedora development RPM

* Wed Mar 22 2006 Matthias Hensler <matthias@wspse.de> - 5.0.32-2.cubbi1
- fixed warning on empty resume2-parameter
- handle swapspace if specified with LABEL= in /etc/fstab
  the label will be resolved when creating the initrd, as we cannot
  rely on special nash-support for Suspend 2 like swsusp has

* Sat Mar 18 2006 Matthias Hensler <matthias@wspse.de> - 5.0.32-1.cubbi3
- build for Fedora Core 5 final

* Fri Mar 17 2006 Matthias Hensler <matthias@wspse.de> - 5.0.32-1.cubbi2
- fixed default procdirectory if Suspend 2 version was not specified

* Tue Mar 14 2006 Matthias Hensler <matthias@wspse.de> - 5.0.32-1.cubbi1
- update to recent Fedora development RPM

* Sat Mar 11 2006 Matthias Hensler <matthias@wspse.de> - 5.0.31-1.cubbi1
- update to recent Fedora development RPM

* Thu Mar 09 2006 Matthias Hensler <matthias@wspse.de> - 5.0.30-1.cubbi1
- update to recent Fedora development RPM

* Tue Feb 28 2006 Matthias Hensler <matthias@wspse.de> - 5.0.29-1.cubbi1
- update to recent Fedora development RPM

* Sat Feb 25 2006 Matthias Hensler <matthias@wspse.de> - 5.0.28-1.cubbi1
- update to recent Fedora development RPM

* Fri Feb 24 2006 Matthias Hensler <matthias@wspse.de> - 5.0.27-1.cubbi3
- adding prelimary filewriter support. This will need an already running
  kernel with Suspend 2 support and the file location either specified
  in /etc/hibernate/hibernate.conf or on the kernel commandline.

* Thu Feb 23 2006 Matthias Hensler <matthias@wspse.de> - 5.0.27-1.cubbi2
- try to resume Suspend 2 with the kernel commandline parameters before
  trying the default swapdevices. This is ugly, but the only way to
  workaround missing Suspend 2 support in the nash.

* Thu Feb 23 2006 Matthias Hensler <matthias@wspse.de> - 5.0.27-1.cubbi1
- update to recent Fedora development RPM
- first try to resume swsusp, and then Suspend 2 no get rid of the ugly
  Suspend 2 warning.

* Thu Feb 23 2006 Matthias Hensler <matthias@wspse.de> - 5.0.26-1.cubbi3
- include /etc/sysconfig/mkinitrd-suspend2 as well.
- try to resume from distributions swsusp when Suspend 2 fails.

* Tue Feb 21 2006 Matthias Hensler <matthias@wspse.de> - 5.0.26-1.cubbi2
- first try towards making suspend 2 working out of the box: do not rely
  on resume2 option on kernelcommandline, but use swapdevice automatically,
  just like Fedora does for swsusp.
- rename to mkinitrd-suspend2 and obsolete old package.
- create own build-directory instead of overwriting the one from mkinitrd.
- commandline parameters were renamed to --suspend2-userui and
  --suspend2-version, defaulting to "none" and "20200".

* Fri Feb 17 2006 Matthias Hensler <matthias@wspse.de> - 5.0.26-1.cubbi1
- update to recent Fedora development RPM

* Wed Feb 15 2006 Matthias Hensler <matthias@wspse.de> - 5.0.25-1.cubbi1
- update to recent Fedora development RPM

* Tue Feb 14 2006 Matthias Hensler <matthias@wspse.de> - 5.0.23-1.cubbi1
- update to recent Fedora development RPM

* Sun Feb 05 2006 Matthias Hensler <matthias@wspse.de> - 5.0.21-1.cubbi1
- update to recent Fedora development RPM

* Fri Feb 03 2006 Matthias Hensler <matthias@wspse.de> - 5.0.18-1.cubbi1
- update to recent Fedora development RPM
- deprecated --early-splash parameter, use
  --swsusp-userui=<none | auto | text | fb> instead, defaulting to "auto".
  "auto" will decide on installed userui binaries for the moment, switch
  to a configfile or parsing hibernate.conf/kernel parameters later
- bumped default software suspend version to 2.2

* Thu Jan 26 2006 Matthias Hensler <matthias@wspse.de> - 5.0.17-1.cubbi1
- update to recent Fedora development RPM

* Thu Jan 26 2006 Matthias Hensler <matthias@wspse.de> - 5.0.15-1.cubbi2
- fixed --early-splash (create /dev/fb0 node by calling mknod from initrd)

* Tue Dec 20 2005 Matthias Hensler <matthias@wspse.de> - 5.0.15-1.cubbi1
- update to recent Fedora development RPM

* Mon Oct 24 2005 Matthias Hensler <matthias@wspse.de> - 5.0.8-1.cubbi1
- update to recent Fedora development RPM

* Mon Oct 24 2005 Matthias Hensler <matthias@wspse.de> - 5.0.6-1.cubbi1
- update to recent Fedora development RPM

* Tue Oct 11 2005 Matthias Hensler <matthias@wspse.de> - 5.0.4-1.cubbi1
- update to recent Fedora development RPM
- build as noarch since this package only provides shellscripts, all
  archdepended programs are provided with mkinitrd.

* Mon Oct 03 2005 Matthias Hensler <matthias@wspse.de> - 5.0.3-1.cubbi1
- update to recent Fedora development RPM
- added parameter --swsusp-version to choose correct /proc directory

* Sun Sep 25 2005 Matthias Hensler <matthias@wspse.de> - 4.2.22-1.cubbi1
- update to recent Fedora development RPM

* Wed Aug 17 2005 Matthias Hensler <matthias@wspse.de> - 4.2.21-1.cubbi1
- build for new version from Fedora development without udev

* Sun Jul 10 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi6
- on SCSI/SATA start resume after scsi-modules

* Sat Jul 09 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi5
- made early fbsplash optional.

* Sun Jul 03 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi4
- start fbsplash early in resume: Paul Ionescu <i_p_a_u_l@yahoo.com>

* Tue Jun 14 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi3
- rebuild on FC4.

* Thu Jun 02 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi2
- added missing echo to activation of splashui

* Wed May 25 2005 Matthias Hensler <matthias@wspse.de> - 4.2.15-1.cubbi1
- initial build

